Skip to main content
PATCH
/
v1
/
webhooks
/
endpoints
/
{endpoint_id}
Update a webhook endpoint
curl --request PATCH \
  --url https://api.whatsapp-use.com/v1/webhooks/endpoints/{endpoint_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "url": "<string>"
}
'
{
  "endpoint": {
    "id": "<string>",
    "user_id": "<string>",
    "url": "<string>",
    "description": "<string>",
    "event_types": [
      "<string>"
    ],
    "secret": "<string>",
    "enabled": true,
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

endpoint_id
string
required

Body

application/json
url
string<uri>
required
description
string
event_types
string[]
enabled
boolean

Response

200 - application/json

Updated endpoint.

endpoint
object